data:extend(
{	

	-- basic stage-2 maschine frame
	{
		type = "recipe",
		name = "y-basic-st2-mf-recipe",
		ingredients = {{"y-conductive-coil-1",2},{"y-conductive-wire-1",8},{"electric-engine-unit",2},{"iron-gear-wheel",5}, {"y-super-alloy-1",6}, {"y-unicomp-raw", 2} },
		result = "y-basic-t2-mf",
		enabled = "true",		
		result_count = 1,
		group = "yuoki",
		subgroup = "yuoki-energy-gen",					
		order="electric",
	},	
	
	-- small electric generator
	{
		type = "recipe",
		name = "y-seg-recipe",
		ingredients = {{"y-basic-t2-mf",1}, {"y-super-alloy-2", 2}, {"y-chip-1", 2}, {"y-unicomp-a2", 1}},
		result = "y-seg",
		enabled = "true",		
		result_count = 1,
		group = "yuoki",
		subgroup = "yuoki-energy-gen",					
		order="electric",
	},	
	{
		type = "recipe",
		name = "y-seg-p-recipe",
		ingredients = {{"y-seg",1},{"y-chip-1", 1}},
		result = "y-seg-p",
		enabled = "true",		
		result_count = 1,
		group = "yuoki",
		subgroup = "yuoki-energy-gen",					
		order="electric",
	},	
	
	-- big electric generator
	{
		type = "recipe",
		name = "y-beg-recipe",
		ingredients = {{"y-basic-t2-mf",4}, {"y-super-alloy-2", 12}, {"y-chip-2", 6}, {"y-unicomp-a2", 4}},
		result = "y-beg",
		enabled = "true",		
		result_count = 1,
		group = "yuoki",
		subgroup = "yuoki-energy-gen",					
		order="electric",
	},	

	-- boilers
	
	{
		type = "recipe",
		name = "y-boiler-t2-recipe",
		ingredients = {{"boiler", 1}, {"steel-plate", 2}, {"pipe", 3}},
		result = "boiler-t2",
		group = "yuoki",
		subgroup = "yuoki-energy-gen",					
	},
	{
		type = "recipe",
		name = "y-boiler-iv-recipe",
		ingredients = {{"boiler-t2", 4}, {"steel-plate", 4}, {"pipe", 8}},
		result = "boiler-iv",
		group = "yuoki",
		subgroup = "yuoki-energy-gen",					
	},
	--y-obninsk-reactor
	{
		type = "recipe",
		name = "y-obninsk-reactor-recipe",
		ingredients = {{"y-wall-forcefield", 8}, {"steel-plate", 14}, {"y-pipe-hc", 8},{"y-quantrinum", 2}},
		result = "y-obninsk-reactor",
		group = "yuoki", subgroup = "yuoki-energy-gen",					
	},

	
	-- Generators
	
	--y-obninsk-reactor
	{
		type = "recipe",
		name = "y-obninsk-turbine-recipe",
		ingredients = {{"y-nuatreel", 18}, {"y-super-alloy-2", 18}, {"steel-plate", 4}, {"y-pipe-ec", 4},{"y-quantrinum", 2}},
		result = "y-obninsk-turbine",
		group = "yuoki", subgroup = "yuoki-energy-gen",					
	},	
	{
		type = "recipe",
		name = "y-notfall-generator-s1-recipe",
		ingredients = {{"iron-plate",4}, {"iron-gear-wheel",2}, {"copper-plate",4},},
		result = "notfall-generator-s1",
		enabled = "true",		
		result_count = 1,
		group = "yuoki",
		subgroup = "yuoki-energy-gen",			
		order="gen",
	},	
	{
		type = "recipe",
		name = "y-notfall-generator-s2-recipe",
		ingredients = {{"notfall-generator-s1",1}, {"electronic-circuit",1},},
		result = "notfall-generator-s2",
		enabled = "true",		
		result_count = 1,
		group = "yuoki",
		subgroup = "yuoki-energy-gen",			
		order="gen",
	},	
	{
		type = "recipe",
		name = "y-notfall-generator-s3-recipe",
		ingredients = {{"notfall-generator-s2",1}, {"electronic-circuit",1},},
		result = "notfall-generator-s3",
		enabled = "true",		
		result_count = 1,
		group = "yuoki",
		subgroup = "yuoki-energy-gen",			
		order="gen",
	},	
	
	-- big
	{
		type = "recipe",
		name = "y-steam-turbine-recipe",
		ingredients = {{"steam-turbine-mk2",1},{"steel-plate",4},{"copper-cable",5},{"iron-gear-wheel",1},  },		
		result = "steam-turbine",
		enabled = "true",		
		result_count = 1,
		group = "yuoki",
		subgroup = "yuoki-energy-gen",					
		order="turbine",
	},
	
	-- small
	{
		type = "recipe",
		name = "y-steam-turbine-mk2-recipe",
		ingredients = {{"steam-engine",1},{"steel-plate",4},{"copper-cable",5},{"iron-gear-wheel",3}},
		result = "steam-turbine-mk2",
		enabled = "true",		
		result_count = 1,
		group = "yuoki",
		subgroup = "yuoki-energy-gen",					
		order="turbine",
	},	
	{
		type = "recipe",
		name = "y-small-turbine-t-recipe",
		ingredients = {{"steam-turbine-mk2",1},{"electronic-circuit",2},},
		result = "y-small-turbine-t",
		enabled = "true",		
		result_count = 1,
		group = "yuoki",
		subgroup = "yuoki-energy-gen",					
		order="turbine",
	},	

	-- plant
	{
		type = "recipe",
		name = "y-steam-turbine-mk3-recipe",
		ingredients = {{"steam-turbine",1},{"steel-plate",4},{"copper-cable",5},{"iron-gear-wheel",3}, {"stone-wall",6} },
		result = "steam-turbine-mk3",
		enabled = "true",		
		result_count = 1,
		group = "yuoki",
		subgroup = "yuoki-energy-gen",					
		order="turbine",
	},	
	
	
})