data:extend(
{
	
	{
		type = "item",
		name = "coal-brikett",
		icon = "__Yuoki__/graphics/icons/coal_brikett_32.png",
		flags = {"goes-to-main-inventory"},
		group = "yuoki",
		subgroup = "y-energy",
		fuel_value = "11MJ",
		stack_size = 800
	},
	{
		type = "item",
		name = "coal-stack",
		icon = "__Yuoki__/graphics/icons/coal_briketts_2ed.png",
		flags = {"goes-to-main-inventory"},
		group = "yuoki",
		subgroup = "y-energy",
		fuel_value = "44MJ",
		stack_size = 250,
	},

	{
		type = "item",
		name = "y-coal-dust", icon = "__Yuoki__/graphics/icons/coal-dust.png", flags = {"goes-to-main-inventory"}, group = "yuoki", subgroup = "y-energy",
		fuel_value = "6MJ", stack_size = 100,
	},
	{
		type = "item",
		name = "y-mixed-fuel", icon = "__Yuoki__/graphics/icons/mix-fuel.png", flags = {"goes-to-main-inventory"}, group = "yuoki", subgroup = "y-energy",
		fuel_value = "24MJ", stack_size = 250,
	},

	
	{
		type = "item",
		name = "wooden-brikett",
		icon = "__Yuoki__/graphics/icons/wood_brikett_32.png",
		flags = {"goes-to-main-inventory"},
		group = "yuoki",
		subgroup = "y-energy",
		fuel_value = "9MJ",
		stack_size = 400,
	},

	{
		type = "item",
		name = "wooden-brikett-packed",
		icon = "__Yuoki__/graphics/icons/wood-pellets.png",
		flags = {"goes-to-main-inventory"},
		group = "yuoki",
		subgroup = "y-energy",
		fuel_value = "36MJ",
		stack_size = 200,
	},

	{
		type = "item",
		name = "wooden-pellet-packed",
		icon = "__Yuoki__/graphics/icons/wood-pellet-p32.png",
		flags = {"goes-to-main-inventory"},
		group = "yuoki",
		subgroup = "y-energy",
		fuel_value = "19MJ",
		stack_size = 300
	},
	
	{
		type = "item",
		name = "boiler-t2",
		icon = "__Yuoki__/graphics/icons/boiler-icon.png",
		flags = {"goes-to-quickbar"},
		group = "Yuoki",
		subgroup = "y-energy-2",
		order = "b[steam-power]-a[boiler]",
		place_result = "boiler-t2",
		stack_size = 30,
	},
	
	{
		type = "item",
		name = "boiler-iv",
		icon = "__Yuoki__/graphics/icons/boiler3mw_icon.png",
		flags = {"goes-to-quickbar"},
		group = "Yuoki",
		subgroup = "y-energy-2",
		order = "b[steam-power]-a[boiler]",
		place_result = "boiler-iv",
		stack_size = 10,
	},

	--
	{
		type = "item",
		name = "y-obninsk-reactor",
		icon = "__Yuoki__/graphics/icons/obninsk-reactor-icon.png",
		flags = {"goes-to-quickbar"},
		group = "Yuoki",
		subgroup = "y-energy-2",
		order = "b[steam-power]-a[boiler]",
		place_result = "y-obninsk-reactor",
		stack_size = 1,
	},
	{
		type = "item",
		name = "y-obninsk-turbine",
		icon = "__Yuoki__/graphics/icons/rensuir-turbine_icon.png",
		flags = {"goes-to-quickbar"},
		group = "yuoki",
		subgroup = "y-energy-2",
		order = "b[steam-power]-b[steam-engine]",
		place_result = "y-obninsk-turbine",
		stack_size = 5,
	},	
	{
		type = "item",
		name = "y-dirt",
		icon = "__Yuoki__/graphics/icons/dirt_32.png",
		flags = {"goes-to-main-inventory"},
		group = "yuoki",
		subgroup = "yuoki-archaeology",
		stack_size = 5000
	},

	{
		type = "item",
		name = "y-crystal2",
		icon = "__Yuoki__/graphics/icons/crystal_2.png",
		flags = {"goes-to-main-inventory"},
		group = "yuoki",
		subgroup = "yuoki-archaeology",
		stack_size = 750,
	},

	
	{
		type = "item",
		name = "steam-turbine",
		icon = "__Yuoki__/graphics/icons/steam-turbine_icon.png",
		flags = {"goes-to-quickbar"},
		group = "yuoki",
		subgroup = "y-energy-2",
		order = "b[steam-power]-b[steam-engine]",
		place_result = "steam-turbine",
		stack_size = 20,
	},

	{
		type = "item",
		name = "pure-copper",
		icon = "__Yuoki__/graphics/icons/pure-copper-n.png",
		flags = {"goes-to-main-inventory"},
		group = "yuoki",
		subgroup = "yuoki-formpress",
		stack_size = 250,
	},

	{
		type = "item",
		name = "pure-iron",
		icon = "__Yuoki__/graphics/icons/pure-iron-n.png",
		flags = {"goes-to-main-inventory"},
		group = "yuoki",
		subgroup = "yuoki-formpress",
		stack_size = 250,
	},

	{
		type = "item",
		name = "c_mud",
		icon = "__Yuoki__/graphics/icons/c_mud_icon.png",
		flags = {"goes-to-main-inventory"},
		group = "yuoki",
		subgroup = "yuoki-archaeology",
		stack_size = 500,
	},

	{
		type = "item",
		name = "dry_mud",
		icon = "__Yuoki__/graphics/icons/dry_mud_icon.png",
		flags = {"goes-to-main-inventory"},
		group = "yuoki",
		subgroup = "yuoki-formpress",
		fuel_value = "10MJ",
		stack_size = 500,
	},

	{
		type = "item",
		name = "y-toxic-dust",
		icon = "__Yuoki__/graphics/icons/toxic-dust_icon.png",
		flags = {"goes-to-main-inventory"},
		group = "yuoki",
		subgroup = "yuoki-formpress",		
		stack_size = 1000,
	},
	
	{
		type = "item",
		name = "y-bstzelle",
		icon = "__Yuoki__/graphics/icons/bst_z2.png",
		flags = {"goes-to-main-inventory"},
		group = "yuoki",
		subgroup = "yuoki-formpress",		
		fuel_value = "90MJ",
		stack_size = 150,
	},		
	
	
	-- basic stage-2 maschine frame
	{
		type = "item",
		name = "y-basic-t2-mf", stack_size = 10,
		icon = "__Yuoki__/graphics/icons/maschine-frame.png",
		flags = {"goes-to-quickbar"},
		subgroup = "y-tech",
		order = "a[items]-1atomic",				
	},	

	{
		type = "item",
		name = "steam-turbine-mk2",
		icon = "__Yuoki__/graphics/icons/small_steam_icon.png",
		flags = {"goes-to-quickbar"},
		group = "yuoki",
		subgroup = "y-energy-2",
		order = "b[steam-power]-b[steam-engine]-c[t1]",		
		stack_size = 20,
	},
	{
		type = "item",
		name = "y-small-turbine-t",
		icon = "__Yuoki__/graphics/icons/small_steam_icon.png",
		flags = {"goes-to-quickbar"},
		group = "yuoki",
		subgroup = "y-energy-2",
		order = "b[steam-power]-b[steam-engine]-c[t2]",		
		stack_size = 20,
	},
	-- power plant
	{
		type = "item",
		name = "steam-turbine-mk3",
		icon = "__Yuoki__/graphics/icons/small_steam_icon.png",
		flags = {"goes-to-quickbar"},
		group = "yuoki",
		subgroup = "y-energy-2",
		order = "b[steam-power]-b[steam-engine]-c[t3]",
		place_result = "steam-turbine-mk3",
		stack_size = 20,
	},
	
	{
		type = "item",
		name = "notfall-generator-s1",
		icon = "__Yuoki__/graphics/icons/basic_steam_icon.png",
		flags = {"goes-to-quickbar"},
		group = "yuoki",
		subgroup = "y-energy-2",
		order = "b[steam-power]-b[steam-engine]-c[a]",
		place_result = "notfall-generator-s1",
		stack_size = 20,
	},
	{
		type = "item",
		name = "notfall-generator-s2",
		icon = "__Yuoki__/graphics/icons/basic_steam_icon.png",
		flags = {"goes-to-quickbar"},
		group = "yuoki",
		subgroup = "y-energy-2",
		order = "b[steam-power]-b[steam-engine]-c[b]",
		place_result = "notfall-generator-s2",
		stack_size = 20,
	},
	{
		type = "item",
		name = "notfall-generator-s3",
		icon = "__Yuoki__/graphics/icons/basic_steam_icon.png",
		flags = {"goes-to-quickbar"},
		group = "yuoki",
		subgroup = "y-energy-2",
		order = "b[steam-power]-b[steam-engine]-c[c]",
		place_result = "notfall-generator-s3",
		stack_size = 20,
	},

	
})