data:extend(
{
	--[[
	--raw-durotal	
	{
		type = "recipe",
		name = "y-raw-ore1-recipe",		
		enabled = "true", energy_required = 6, ingredients = {}, result = "y-rare-ore-t1", result_count = 1, subgroup = "y-raw-material", category="yuoki-raw-material-recipe",		
	},
	--raw-krakon
	{
		type = "recipe",
		name = "y-raw-ore2-recipe",		
		enabled = "true", energy_required = 6, ingredients = {}, result = "y-rare-ore-t2", result_count = 1, subgroup = "y-raw-material", category="yuoki-raw-material-recipe",		
	},	
	--unicomp
	{
		type = "recipe",
		name = "y-raw-ore4-recipe",		
		enabled = "true", energy_required = 300, ingredients = {}, result = "y-res1", result_count = 1, subgroup = "y-raw-material", category="yuoki-raw-material-recipe",		
	},
	--fuelinum
	{
		type = "recipe",
		name = "y-raw-ore5-recipe",		
		enabled = "true", energy_required = 300, ingredients = {}, result = "y-res2", result_count = 1, subgroup = "y-raw-material", category="yuoki-raw-material-recipe",		
	},	
	]]	
	-- for underground-drill
	-- rich-dust
	--[[
	{
		type = "recipe",
		name = "y-richdust-recipe",		
		enabled = "true", energy_required = 20, ingredients = {}, result = "y-richdust", result_count = 1, subgroup = "y-raw-material", category="yuoki-raw-material-recipe",		
	},	
	]]
	-- if the game hates you, this is a fallback - changed to wash
	--[[
	{
		type = "recipe",
		name = "y-digfblue-recipe",		
		enabled = "true", energy_required = 20, ingredients = {}, result = "y-res1", result_count = 1, subgroup = "y-raw-material", category="yuoki-raw-material-recipe",		
	},	
	{
		type = "recipe",
		name = "y-digfgreen-recipe",		
		enabled = "true", energy_required = 20, ingredients = {}, result = "y-res2", result_count = 1, subgroup = "y-raw-material", category="yuoki-raw-material-recipe",		
	},	
	]]
	{
		type = "recipe",
		name = "y-infused-uca2-recipe",		
		enabled = "true", energy_required = 40, ingredients = {{"y-unicomp-a2", 1},}, result = "y-infused-uca2", result_count = 1, subgroup = "y-raw-material", category="yuoki-alien-recipe",		
	},	
	{
		type = "recipe",
		name = "y-infused-mud-recipe",		
		enabled = "true", energy_required = 10, ingredients = {{"dry_mud", 10},}, result = "y-infused-mud", result_count = 10, subgroup = "y-raw-material", category="yuoki-alien-recipe",		
	},	

	
	-- first step, crushing unicomp, rawfuel	
	{
		type = "recipe",
		name = "y-crush-unicomp-raw-recipe",
		category = "y-crushing-recipe",
		energy_required = 6,
		ingredients = {
			{"y-res1", 1},			
			{type="fluid", name="water", amount=2},
		},
		results=
		{
			{type="item", name="y-crush-yres1", amount=2, },      	  						
		},
		enabled = "true",
		order = "m-refined-rare4",					
		subgroup = "y-raw-material",
	},
	
	{
		type = "recipe",
		name = "y-crush-fuel-raw-recipe",
		category = "y-crushing-recipe",
		energy_required = 6,
		ingredients = {
			{"y-res2", 1},			
			{type="fluid", name="water", amount=2},
		},
		results=
		{
			{type="item", name="y-crush-yres2", amount=2, },      	  						
		},
		enabled = "true",
		order = "m-refined-rare4",					
		subgroup = "y-raw-material",
	},
	
	-- mixing-recipe
	{
		type = "recipe",
		name = "y-mixing-rich-recipe",
		--category = "smelting",		
		enabled = "true", energy_required = 2.0, ingredients = {{"y-crush-yres1", 10}, {"y-crush-yres2", 10}}, result = "y-richdust", result_count = 20,subgroup = "y-raw-material",				
		order="m-refined-",
	},	
	
	-- smeltings
	{
		type = "recipe",
		name = "y-smelt-richdust-recipe", category = "yuoki-formpress-recipe",		
		icon = "__Yuoki__/graphics/icons/uni-komp-a2-icon.png",
		enabled = "true", energy_required = 4.0, ingredients = {{"y-richdust", 20}}, results = { {type="item", name="y-unicomp-a2", amount=1,}, {type="item", name="y-slag", amount=1,},}, subgroup = "y-raw-material",				
		order="m-refined-",
	},	
	{
		type = "recipe",
		name = "y-smelt-crush-res1-recipe", category = "yuoki-formpress-recipe",		
		icon = "__Yuoki__/graphics/icons/coilsb32.png",
		enabled = "true", energy_required = 4.0, ingredients = {{"y-crush-yres1", 3}}, results = { {type="item", name="y-refined-yres1", amount=1,}, {type="item", name="y-slag", amount=1,},}, subgroup = "y-raw-material",				
		order="m-refined-",
	},
	{
		type = "recipe",
		name = "y-unicomp-raw-recipe",
		category = "yuoki-formpress-recipe",		
		enabled = "true", energy_required = 8.0, ingredients = {{"y-refined-yres1", 3},}, result = "y-unicomp-raw", result_count = 1, subgroup = "y-raw-material",					
		order="m-refined-",
	},	
	{
		type = "recipe",
		name = "y-smelt-crush-res2-recipe", category = "yuoki-formpress-recipe",		
		icon = "__Yuoki__/graphics/icons/coilsgru32.png",
		enabled = "true", energy_required = 6.0, ingredients = {{"y-crush-yres2", 2}}, results = { {type="item", name="y-refined-yres2", amount=1,}, {type="item", name="y-slag", amount=1,}, }, subgroup = "y-raw-material",								
		order="m-refined-",
	},
	{
		type = "recipe",
		name = "y-raw-fuelnium-recipe",
		category = "yuoki-formpress-recipe",		
		enabled = "true", energy_required = 10.0, ingredients = {{"y-refined-yres2", 2},}, result = "y-raw-fuelnium", result_count = 1, subgroup = "y-raw-material",					
		order="m-refined-",
	},	
	{
		type = "recipe",
		name = "y-fuel-reactor-recipe",
		icon = "__Yuoki__/graphics/icons/reactor-fuel.png", enabled = true, energy_required = 10,
		ingredients ={{"y-raw-fuelnium", 1},{"y-unicomp-raw", 1},{"iron-plate", 3}}, result = "y-fuel-reactor", result_count = 1,			
		subgroup = "y-energy",				
	},	
	
	-- bronze
	-- removed 09.09.2014
	--[[
	{
		type = "recipe",
		name = "y-smelt-bronze-recipe",
		category = "yuoki-formpress-recipe",	
		energy_required = 4.0,
		enabled = "true",
		ingredients = {{"pure-copper", 4},{"y-crush-yres1", 3},},
		result="y-bronze-alloy",
		result_count=5,
		icon = "__Yuoki__/graphics/gfx/barren_mixed_12.png",		
		subgroup = "y-ore", order="m-bronze",
	},	
	--]]
	
	-- all metals go into transmutation
	
	--[[
	-- Wire Alloy
	{
		type = "recipe",
		name = "y-wire-alloy1-recipe",		
		category = "yuoki-formpress-recipe",	
		energy_required = 2.0,
		enabled = "true",
		ingredients = {{"pure-copper", 4},{"y-refined-yres2", 1},},
		result="y-wire-alloy",
		result_count=3,
		icon = "__Yuoki__/graphics/gfx/barren_mixed_8.png",
		subgroup = "y-ore", order="m-c-wire",
	},	
	-- Durotal
	{
		type = "recipe",
		name = "y-super-alloy1-recipe",		
		category = "yuoki-formpress-recipe",	
		energy_required = 4.0,
		enabled = "true",
		ingredients = {{"pure-iron", 4},{"y-refined-yres1", 1},},
		result="y-super-alloy-1",
		result_count=4,
		icon = "__Yuoki__/graphics/gfx/barren_mixed_4.png",
		subgroup = "y-ore", order="m-durotal",
	},
	-- Nuatreel
	{
		type = "recipe",
		name = "y-nuatreel-recipe",		
		category = "yuoki-formpress-recipe",	
		energy_required = 6.0,
		enabled = "true",
		ingredients = {{"pure-iron", 4},{"y-refined-yres2", 1},},
		result="y-nuatreel",
		result_count=4,
		icon = "__Yuoki__/graphics/gfx/barren_mixed_10.png",
		subgroup = "y-ore", order="m-nuatreel",
	},
	-- Krakon
	{
		type = "recipe",
		name = "y-super-alloy2-recipe",		
		category = "yuoki-formpress-recipe",	
		energy_required = 5.0,
		enabled = "true",
		ingredients = {{"y-refined-yres1", 3},{"y-refined-yres2", 1},},
		result="y-super-alloy-2",
		result_count=3,
		icon = "__Yuoki__/graphics/gfx/barren_mixed_3.png",
		subgroup = "y-ore", order="m-krakon",
	},
	]]
	
	-- Quantrinum
	{
		type = "recipe",
		name = "y-quantrinum-recipe",		
		category = "yuoki-wonder-recipe",	
		energy_required = 20, enabled = "true",
		ingredients = {{"y-unicomp-a2", 15},{"y-raw-fuelnium", 12},{"y-unicomp-raw", 12},{"y-crystal2", 8},},
		result="y-quantrinum", result_count=1,
		icon = "__Yuoki__/graphics/icons/quantrinum.png",
		subgroup = "y-tech", order="m-quantrinum",
	},	
	-- Lachnan-Crystal
	{
		type = "recipe",
		name = "y-crystal-cnd-recipe",		
		category = "yuoki-wonder-recipe",	
		energy_required = 30, enabled = "true",
		ingredients = {{"pure-iron", 10}, {"y-dirt", 400}, {"y-unicomp-a2", 8},{"y-crystal2", 10},},
		result="y-crystal-cnd", result_count=1,
		icon = "__Yuoki__/graphics/icons/crystal_3.png",
		subgroup = "y-tech", order="m-crystal",
	},	
	-- Alien Fuel Cell
	{
		type = "recipe",
		name = "y-fuel-alien-recipe",
		icon = "__Yuoki__/graphics/icons/fuel_cell_b.png", enabled = true, energy_required = 30,
		category = "yuoki-wonder-recipe",
		ingredients ={{"y-fuel-reactor", 1},}, result = "y-fuel-alien", result_count = 1,			
		subgroup = "y-energy",				
	},	
	
	{
		type = "recipe",
		name = "y-pure-copper-recipe",
		category = "yuoki-archaeology-wash",
		energy_required = 3,
		ingredients = {
			{"copper-ore",5}, 
			{type="fluid", name="water", amount=8},
		},
		results=
		{
			{type="item", name="pure-copper", amount=3 },      	  
			{type="fluid", name="con_water", amount=8 }
		},
		enabled = "true",				
		icon = "__Yuoki__/graphics/icons/pure_copper_icon.png",
		group = "yuoki", subgroup = "yuoki-formpress", order="m-a-copper",		
	},
	
	{
		type = "recipe",
		name = "y-pure-iron-recipe",
		category = "yuoki-archaeology-wash",
		energy_required = 3,
		ingredients = {
			{"iron-ore",5}, 
			{type="fluid", name="water", amount=8},
		},
		results=
		{
			{type="item", name="pure-iron", amount=3 },      	  
			{type="fluid", name="con_water", amount=8 }
		},
		enabled = "true",				
		icon = "__Yuoki__/graphics/icons/pure_iron_icon.png",		
		group = "yuoki", subgroup = "yuoki-formpress", order="m-a-iron",		
	},	
	
	{
		type = "recipe",
		name = "y-refined-copper",
		category = "smelting",
		energy_required = 4.0,
		enabled = "true",
		ingredients = {{"pure-copper", 1}},
		result = "copper-plate",
		result_count = 2,
		icon = "__Yuoki__/graphics/icons/pure-copper-n.png",
		order="m-refined-copper",
	},
	{
		type = "recipe",
		name = "y-refined-iron",
		category = "smelting",
		energy_required = 4.0,
		enabled = "true",
		ingredients = {{"pure-iron", 1}},
		result = "iron-plate",
		result_count = 2,
		icon = "__Yuoki__/graphics/icons/pure-iron-n.png",
		order="m-refined-iron",		
	},
		
	-- washings
	{
		type = "recipe",		
		name = "y-wash-dirt-recipe",
		category = "yuoki-archaeology-wash",
		energy_required = 6,
		ingredients = {
			{"y-dirt", 50},			
			{type="fluid", name="water", amount=70},
		},
		results=
		{
			{type="item", name="stone", amount=8, },      	  			
			{type="item", name="y-crystal2", amount=1, },      	
			{type="fluid", name="con_water", amount=60, }
		},
		enabled = "true",		
		icon = "__Yuoki__/graphics/icons/alien-crystal.png",
		order = "m-refined-rare3",
		subgroup = "yuoki-formpress",
	},
			
	{
		type = "recipe",
		name = "y-wash-special-recipe",
		category = "yuoki-archaeology-wash", enabled = "true", energy_required = 8.0, 
		ingredients = {{"y-dirt", 100},{type="fluid", name="water", amount=120},}, 		
		results={ {type="item", name="y-res1", amount=1 }, {type="item", name="y-res2", amount=1 } },
		icon = "__Yuoki__/graphics/icons/yi-res12combi.png",
		subgroup = "y-raw-material", order="m-refined-",
	},	

	
})