data:extend(
{
	
	{
		type = "recipe",
		name = "y-coal-brikett-recipe",
		enabled = true,	
		energy_required = 4,
		category = "yuoki-formpress-recipe",
		ingredients =
		{
			{"coal", 4},
		},
		result = "coal-brikett",
		group = "yuoki",
		subgroup = "y-energy",		
		order = "coal-b",
		icon = "__Yuoki__/graphics/icons/coal_brikett_32.png",    
		result_count = 3	
	},

	{
		type = "recipe",
		name = "y-coal-stack-recipe",
		enabled = true,	
		energy_required = 3,
		category = "yuoki-formpress-recipe",
		ingredients =
		{
			{"coal-brikett", 4},
		},
		result = "coal-stack",
		group = "yuoki",
		subgroup = "y-energy",		
		order = "coal-s",
		icon = "__Yuoki__/graphics/icons/coal_briketts_2ed.png",    
		result_count = 1,	
	},

	-- new-coal-things 215-0103
	{
		type = "recipe",
		name = "y-coaldust-recipe",
		enabled = true,	energy_required = 2, category = "y-crushing-recipe", group = "yuoki", subgroup = "y-energy", order = "coal-s", icon = "__Yuoki__/graphics/icons/coal-dust.png",    		
		ingredients ={{"coal", 4},}, result = "y-coal-dust", result_count = 4, 
	},
	{
		type = "recipe",
		name = "y-coaldust-mixing-recipe",
		enabled = true,	energy_required = 2, category = "yuoki-formpress-recipe", group = "yuoki", subgroup = "y-energy", order = "coal-s", icon = "__Yuoki__/graphics/icons/mix-fuel.png",    		
		ingredients ={{"y-coal-dust", 2},{"y-crush-yres2", 2},}, result = "y-mixed-fuel", result_count = 1, 
	},
	
	{
		type = "recipe",
		name = "y-wooden-brikett-recipe",
		enabled = true,	
		energy_required = 3,
		ingredients =
		{
			{"raw-wood", 4},
		},
		result = "wooden-brikett",
		group = "yuoki",
		subgroup = "y-energy",		
		order = "wooden",
		icon = "__Yuoki__/graphics/icons/wood_brikett_32.png",    
		result_count = 2	
	},

	{
		type = "recipe",
		name = "y-wooden-brikett-packed-recipe",
		enabled = true,	
		energy_required = 4,
		ingredients =
		{
			{"wooden-brikett", 4},
		},
		result = "wooden-brikett-packed",
		group = "yuoki",
		subgroup = "y-energy",		
		order = "wooden",
		icon = "__Yuoki__/graphics/icons/wood-pellets.png",    
		result_count = 1	
	},	
	
	{
		type = "recipe",
		name = "y-digfdirt-recipe",		
		enabled = "true", energy_required = 4, ingredients = {}, result = "y-dirt", result_count = 10, subgroup = "yuoki-formpress", category="yuoki-raw-material-recipe",		
	},	
	
	{
		type = "recipe",
		name = "y-alien-artifact-recipe",		
		energy_required = 6,
		ingredients = {
			{"y-crystal2",12}, 
			{"science-pack-1",2}, 
			{"science-pack-2",6}, 
			{"science-pack-3",4}, 			
		},
		group = "yuoki",		
		subgroup = "y-tech",		
		result = "alien-artifact",
		enabled = "true",		
		result_count = 1,
	},		
	
	{
		type = "recipe",
		name = "y-release-cwater",
		category = "yuoki-formpress-recipe",				
		energy_required = 1,
		ingredients = {
			{type="fluid", name="con_water", amount=48 } 			
		},			
		results=
		{
			{type="item", name="c_mud", amount=4, },			
			{type="item", name="y-toxic-dust", amount=1, },			
			{type="item", name="y-crush-yres1", amount=1, },		
		},		
		enabled = "true",				
		icon = "__Yuoki__/graphics/icons/c_mud_icon.png",
		group = "yuoki",
		subgroup = "yuoki-formpress",			
	},	
	
	{
		type = "recipe",
		name = "y-pressed_dry_mud-recipe",
		energy_required = 2.0,
		enabled = "true",
		ingredients = {{"c_mud", 4},}, 
		result = "dry_mud",
		result_count = 1,
		icon = "__Yuoki__/graphics/icons/dry_mud_icon.png",
		category = "yuoki-formpress-recipe",		
		group = "yuoki",
		subgroup = "yuoki-formpress",
	},
	
})